SearchService (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: SearchService

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class SearchService

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.SearchService

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

public class SearchService extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchService(ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService openBisService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`
  `getDataSet(String dataSetCode)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`
  `getExperiment(String experimentIdentifierString)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`
  `getExperimentByIdentifier(String experimentIdentifierString)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`
  `getExperimentByPermId(String permId)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable`
  `getMetaproject(String name)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectAssignments`
  `getMetaprojectAssignments(String name)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`
  `getProject(String projectIdentifierString)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`
  `getProjectByIdentifier(String projectIdentifierString)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`
  `getProjectByPermId(String permId)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`
  `getSample(String sampleIdentifierString)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`
  `getSampleByIdentifier(String sampleIdentifierString)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`
  `getSampleByPermId(String permId)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable`
  `getSpace(String spaceCode)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`
  `getThinDataSet(String dataSetCode)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`
  `getVocabulary(String code)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable>`
  `listExperiments(String projectIdentifierString)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable>`
  `listMetaprojects()`
  `Map<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent,List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable>>`
  `listMetaprojectsForEntities(Collection<? extends ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent> entities)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable>`
  `listMetaprojectsForEntity(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent entity)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable>`
  `listPropertiesDefinitionsForDataSetType(String code)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable>`
  `listPropertiesDefinitionsForExperimentType(String code)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable>`
  `listPropertiesDefinitionsForSampleType(String code)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable>`
  `searchForDataSets(ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SearchCriteria searchCriteria)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable>`
  `searchForDataSets(String property, String value, String typeOrNull)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable>`
  `searchForDataSets(String property, String value, String typeOrNull, boolean escape)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable>`
  `searchForExperiments(ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SearchCriteria searchCriteria)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable>`
  `searchForSamples(ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SearchCriteria searchCriteria)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable>`
  `searchForSamples(String property, String value, String typeOrNull)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable>`
  `searchForSamples(String property, String value, String typeOrNull, boolean escape)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`
  `searchForVocabulary(String code)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchService

    public SearchService(ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService openBisService)

- ## Method Details

  - ### getProject

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable getProject(String projectIdentifierString)
    Specified by:
      `getProject` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getProjectByIdentifier

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable getProjectByIdentifier(String projectIdentifierString)
    Specified by:
      `getProjectByIdentifier` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getProjectByPermId

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable getProjectByPermId(String permId)
    Specified by:
      `getProjectByPermId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getSpace

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISpaceImmutable getSpace(String spaceCode)
    Specified by:
      `getSpace` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### listExperiments

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable> listExperiments(String projectIdentifierString)
    Specified by:
      `listExperiments` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### searchForDataSets

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable> searchForDataSets(String property, String value, String typeOrNull)
    Specified by:
      `searchForDataSets` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### searchForDataSets

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable> searchForDataSets(String property, String value, String typeOrNull, boolean escape)
    Specified by:
      `searchForDataSets` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### searchForSamples

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable> searchForSamples(String property, String value, String typeOrNull)
    Specified by:
      `searchForSamples` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### searchForSamples

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable> searchForSamples(String property, String value, String typeOrNull, boolean escape)
    Specified by:
      `searchForSamples` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### searchForDataSets

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable> searchForDataSets(ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SearchCriteria searchCriteria)
    Specified by:
      `searchForDataSets` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### searchForSamples

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable> searchForSamples(ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SearchCriteria searchCriteria)
    Specified by:
      `searchForSamples` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### searchForExperiments

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable> searchForExperiments(ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SearchCriteria searchCriteria)
    Specified by:
      `searchForExperiments` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### searchForVocabulary

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable searchForVocabulary(String code)
    Specified by:
      `searchForVocabulary` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getVocabulary

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable getVocabulary(String code)
    Specified by:
      `getVocabulary` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### listPropertiesDefinitionsForDataSetType

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable> listPropertiesDefinitionsForDataSetType(String code)
    Specified by:
      `listPropertiesDefinitionsForDataSetType` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### listPropertiesDefinitionsForExperimentType

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable> listPropertiesDefinitionsForExperimentType(String code)
    Specified by:
      `listPropertiesDefinitionsForExperimentType` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### listPropertiesDefinitionsForSampleType

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IPropertyAssignmentImmutable> listPropertiesDefinitionsForSampleType(String code)
    Specified by:
      `listPropertiesDefinitionsForSampleType` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### listMetaprojects

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable> listMetaprojects()
    Specified by:
      `listMetaprojects` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getMetaproject

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable getMetaproject(String name)
    Specified by:
      `getMetaproject` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getMetaprojectAssignments

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectAssignments getMetaprojectAssignments(String name)
    Specified by:
      `getMetaprojectAssignments` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### listMetaprojectsForEntity

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable> listMetaprojectsForEntity(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent entity)
    Specified by:
      `listMetaprojectsForEntity` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### listMetaprojectsForEntities

    public Map<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent,List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable>> listMetaprojectsForEntities(Collection<? extends ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent> entities)
    Specified by:
      `listMetaprojectsForEntities` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getDataSet

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable getDataSet(String dataSetCode)
    Specified by:
      `getDataSet` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getThinDataSet

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable getThinDataSet(String dataSetCode)
    Specified by:
      `getThinDataSet` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getExperiment

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable getExperiment(String experimentIdentifierString)
    Specified by:
      `getExperiment` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getExperimentByIdentifier

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable getExperimentByIdentifier(String experimentIdentifierString)
    Specified by:
      `getExperimentByIdentifier` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getSample

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable getSample(String sampleIdentifierString)
    Specified by:
      `getSample` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getSampleByIdentifier

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable getSampleByIdentifier(String sampleIdentifierString)
    Specified by:
      `getSampleByIdentifier` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getSampleByPermId

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable getSampleByPermId(String permId)
    Specified by:
      `getSampleByPermId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`

  - ### getExperimentByPermId

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable getExperimentByPermId(String permId)
    Specified by:
      `getExperimentByPermId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISearchService`